[ 
https://issues.apache.org/jira/browse/FELIX-5820?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Carsten Ziegeler updated FELIX-5820:
------------------------------------
    Description: 
Our parent pom is outdated. This issue is about updating the parent pom by
 * update to latest Apache parent pom
 * set java min version to 7
 * reduce supported java versions to 6, 7, 8, 9 (drop 4, 5, add 8, 9)
 * add missing encoding properties
 * remove dependency management of testing dependencies (like junit, easymock 
etc.) as these easily get outdated and this section does not really provide 
value
 * update versions of plugins
 * use enforcer plugin to enforce maven and min java version
 * remove calculation of BREE header as this one is deprecated, and bnd does 
the capability calculation anyway

  was:
Our parent pom is outdated. This issue is about updating the parent pom by
 * update to latest Apache parent pom
 * set java min version to 7
 * add missing encoding properties
 * remove dependency management of testing dependencies (like junit, easymock 
etc.) as these easily get outdated and this section does not really provide 
value
 * update versions of plugins
 * use enforcer plugin to enforce maven and min java version


> Update parent pom
> -----------------
>
>                 Key: FELIX-5820
>                 URL: https://issues.apache.org/jira/browse/FELIX-5820
>             Project: Felix
>          Issue Type: Task
>            Reporter: Carsten Ziegeler
>            Assignee: Carsten Ziegeler
>            Priority: Major
>             Fix For: parent-5
>
>
> Our parent pom is outdated. This issue is about updating the parent pom by
>  * update to latest Apache parent pom
>  * set java min version to 7
>  * reduce supported java versions to 6, 7, 8, 9 (drop 4, 5, add 8, 9)
>  * add missing encoding properties
>  * remove dependency management of testing dependencies (like junit, easymock 
> etc.) as these easily get outdated and this section does not really provide 
> value
>  * update versions of plugins
>  * use enforcer plugin to enforce maven and min java version
>  * remove calculation of BREE header as this one is deprecated, and bnd does 
> the capability calculation anyway



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to